Skip to main content
PUT
/
v1
/
crm
/
merchants
/
{merchantId}
Update a Merchant
curl --request PUT \
  --url https://api.example.com/v1/crm/merchants/{merchantId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dba": "<string>",
  "legal": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "federalTaxId": "<string>",
  "bankIca": "<string>",
  "bankIsDefault": true,
  "qaInitiatedAt": "<string>",
  "qaCompletedAt": "<string>",
  "businessPhoneNumber": "<string>",
  "mcc": "<string>",
  "industryTypeId": 123,
  "merchantTypeId": 123,
  "dateEstablished": "<string>",
  "stateOfIncorporation": "<string>",
  "companyWebsite": "<string>",
  "averageTicket": 123,
  "monthlyVolume": 123,
  "internet": 123,
  "keyed": 123,
  "moto": 123,
  "retail": 123,
  "monthlyAmexVolume": 123,
  "averageAmexVolume": 123,
  "amexAccountNumber": "<string>",
  "bankId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankBinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "processorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customReturnPolicy": "<string>",
  "nextDayFunding": true,
  "reservePercent": 50,
  "businessType": "<string>",
  "goodsAndServices": "<string>",
  "yearsInBusiness": 4503599627370495
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientPath": "<string>",
  "passwordExpirationDays": 123,
  "loginFailureAttempts": 123,
  "loginTimeoutMinutes": 123,
  "tokenTimeoutMinutes": 123,
  "otpValidityMinutes": 123,
  "accountCooldownMinutes": 123,
  "previousPasswordLimit": 123,
  "multifactorEnabled": true,
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parentClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dba": "<string>",
  "legal": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "federalTaxId": "<string>",
  "hashedFederalTaxId": "<string>",
  "bankIca": "<string>",
  "bankIsDefault": true,
  "encryptionKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dateSigned": "<string>",
  "qaInitiatedAt": "<string>",
  "qaCompletedAt": "<string>",
  "businessPhoneNumber": "<string>",
  "mcc": "<string>",
  "industryTypeId": 123,
  "merchantTypeId": 123,
  "dateEstablished": "<string>",
  "stateOfIncorporation": "<string>",
  "companyWebsite": "<string>",
  "averageTicket": 123,
  "monthlyVolume": 123,
  "internet": 123,
  "keyed": 123,
  "moto": 123,
  "retail": 123,
  "monthlyAmexVolume": 123,
  "averageAmexVolume": 123,
  "amexAccountNumber": "<string>",
  "bankId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankBinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "processorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "riskCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customReturnPolicy": "<string>",
  "nextDayFunding": true,
  "reservePercent": 50,
  "businessType": "<string>",
  "goodsAndServices": "<string>",
  "yearsInBusiness": 4503599627370495
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required

Body

application/json
parentClientId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dba
string | null
Maximum string length: 80
Maximum string length: 80
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
Allowed value: ""
phoneNumber
string | null
Maximum string length: 32
federalTaxId
string | null
accountType
enum<string> | null
Available options:
checking,
savings,
other
bankIca
string | null
bankIsDefault
boolean | null
qaInitiatedAt
string | null
qaCompletedAt
string | null
businessPhoneNumber
string | null
Maximum string length: 32
mcc
string | null
Required string length: 4
industryTypeId
number | null
merchantTypeId
number | null
ownershipType
enum<string> | null
Available options:
Corporation,
Sole Proprietorship,
Partnership,
Association/Estate/Trust,
Tax Exempt (501C),
International,
Limited Liability (LLC),
Government Agency
numberOfEmployees
enum<string> | null
Available options:
1-10,
10-50,
50-100,
100-1000,
1000+
dateEstablished
string | null
stateOfIncorporation
string | null
Required string length: 2
companyWebsite
averageTicket
number | null
monthlyVolume
number | null
internet
number | null
keyed
number | null
moto
number | null
retail
number | null
monthlyAmexVolume
number | null
averageAmexVolume
number | null
amexAccountNumber
string | null
Maximum string length: 18
bankId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
bankBinId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
processorId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
liability
enum<string> | null
Available options:
full_liability,
split_liability,
no_liability
returnPolicy
enum<string> | null
Available options:
no_questions,
90_days,
90+_days,
all_sales_final,
custom
customReturnPolicy
string | null
Maximum string length: 100
depositTypeSetting
enum<string> | null
Available options:
gross,
net
fundingDelay
enum<string> | null
Available options:
0,
1,
2
nextDayFunding
boolean | null
minimumDiscountType
enum<string> | null
Available options:
daily,
monthly
reservePercent
number | null
Required range: 0 <= x <= 100
businessType
string | null
goodsAndServices
string | null
yearsInBusiness
integer | null
Required range: 0 <= x <= 9007199254740991

Response

The updated merchant.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientPath
string
required
passwordExpirationDays
number
required
loginFailureAttempts
number
required
loginTimeoutMinutes
number
required
tokenTimeoutMinutes
number
required
otpValidityMinutes
number
required
accountCooldownMinutes
number
required
previousPasswordLimit
number
required
multifactorEnabled
boolean
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
type
enum<string>
required
Available options:
sgpy,
processor,
bank,
partner,
merchant,
agent
status
enum<string>
required
Available options:
active,
inactive,
closed
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
parentClientId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dba
string | null
Maximum string length: 80
Maximum string length: 80
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
Allowed value: ""
phoneNumber
string | null
Maximum string length: 32
federalTaxId
string | null
hashedFederalTaxId
string | null
accountType
enum<string> | null
Available options:
checking,
savings,
other
bankIca
string | null
bankIsDefault
boolean | null
encryptionKeyId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dateSigned
string | null
qaInitiatedAt
string | null
qaCompletedAt
string | null
businessPhoneNumber
string | null
Maximum string length: 32
mcc
string | null
Required string length: 4
industryTypeId
number | null
merchantTypeId
number | null
ownershipType
enum<string> | null
Available options:
Corporation,
Sole Proprietorship,
Partnership,
Association/Estate/Trust,
Tax Exempt (501C),
International,
Limited Liability (LLC),
Government Agency
numberOfEmployees
enum<string> | null
Available options:
1-10,
10-50,
50-100,
100-1000,
1000+
dateEstablished
string | null
stateOfIncorporation
string | null
Required string length: 2
companyWebsite
averageTicket
number | null
monthlyVolume
number | null
internet
number | null
keyed
number | null
moto
number | null
retail
number | null
monthlyAmexVolume
number | null
averageAmexVolume
number | null
amexAccountNumber
string | null
Maximum string length: 18
bankId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
bankBinId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
processorId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
riskCategoryId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
riskProfile
enum<string> | null
Available options:
level_1,
level_2,
level_3,
high_risk
liability
enum<string> | null
Available options:
full_liability,
split_liability,
no_liability
returnPolicy
enum<string> | null
Available options:
no_questions,
90_days,
90+_days,
all_sales_final,
custom
customReturnPolicy
string | null
Maximum string length: 100
depositTypeSetting
enum<string> | null
Available options:
gross,
net
fundingDelay
enum<string> | null
Available options:
0,
1,
2
nextDayFunding
boolean | null
minimumDiscountType
enum<string> | null
Available options:
daily,
monthly
reservePercent
number | null
Required range: 0 <= x <= 100
businessType
string | null
goodsAndServices
string | null
yearsInBusiness
integer | null
Required range: 0 <= x <= 9007199254740991